@charset "UTF-8";

.topmain-section {
  position: relative;
}
/***********************************************
***  intro
***********************************************/
.top-intro-section {
  position: relative;
}

.top-intro-section:before {
  position: absolute;
  content: "";
  background: url(../img/top/intro/intro-chara.webp);
  background-size: contain;
  background-position: center right;
  background-repeat: no-repeat;
  width: 600px;
  height: 900px;
  right: 0;
  top: 0;
  z-index: 30;
}

.top-intro-text-container {
  margin: 0 auto;
  padding: 100px 0;
  position: relative;
  z-index: 10;
  overflow-y: hidden;
}

.top-intro-container {
  position: relative;
  min-height: 759px;
  overflow: hidden;
}

.top-intro-container:before {
  position: absolute;
  content: "";
  background: url(../img/top/intro/intro-punch.svg);
  background-size: 100% auto;
  background-position: center;
  background-repeat: no-repeat;
  width: 75%;
  max-width: 1400px;
  min-width: 1100px;
  height: 100%;
  left: 30px;
  right: 0;
  margin: auto;
  top: 0;
  z-index: 1;
}

.top-intro-heading {
  width: 70%;
  max-width: 600px;
  text-align: center;
  margin: 0 auto 60px;
  position: relative;
  z-index: 10;
}

.top-intro-lead {
  width: 100%;
  max-width: 800px;
  text-align: center;
  margin: 0 auto;
  position: relative;
  z-index: 100;
}

@media (max-width: 1800px) {
  .top-intro-heading {
    width: 70%;
    max-width: 600px;
    text-align: center;
    margin: 0 auto 60px;
    transform: translateX(-5vw);
  }

  .top-intro-lead {
    width: 70%;
    max-width: 760px;
    transform: translateX(-5vw);
  }

  .top-intro-section:before {
    position: absolute;
    content: "";
    background: url(../img/top/intro/intro-chara.webp);
    background-size: contain;
    background-position: center right;
    background-repeat: no-repeat;
    width: 30%;
    height: 900px;
    right: 0;
    top: 0;
    z-index: 30;
  }
}

@media (max-width: 1300px) {
  .top-intro-container:before {
    width: 90%;
    min-width: 1000px;

    transform: translate(-6vw, 0);
  }

  .top-intro-heading {
    width: 56%;
    max-width: 600px;
    text-align: center;
    margin: 0 auto 30px;
    transform: translateX(-10vw);
  }

  .top-intro-lead {
    width: 70%;
    max-width: 760px;
    transform: translateX(-10vw);
  }

  .top-intro-section:before {
    position: absolute;
    content: "";
    background: url(../img/top/intro/intro-chara.webp);
    background-size: contain;
    background-position: bottom right;
    background-repeat: no-repeat;
    width: 36%;
    height: 900px;
    right: -4%;
    top: 0;
    z-index: 10;
  }
}

@media (max-width: 1000px) {
  .top-intro-container:before {
    width: 96%;
    min-width: 950px;
    transform: translate(-8vw, -4vw);
  }
}

@media (max-width: 800px) {
  .top-intro-container {
    min-height: 120vw;
  }

  .top-intro-container:before {
    width: 120%;
    min-width: inherit;
    transform: translate(-12vw, -10vw);
  }

  .top-intro-text-container {
    margin-bottom: 25vw;
    overflow-x: hidden;
    padding: 50px 0;
  }

  .top-intro-heading {
    width: 70%;
    margin: 0 auto 20px;
    transform: translateX(-0);
  }

  .top-intro-lead {
    width: 80%;
    max-width: 760px;
    transform: translateX(0);
    margin-bottom: 7vw;
  }

  .top-intro-section:before {
    position: absolute;
    content: "";
    background: url(../img/top/intro/intro-chara.webp);
    background-size: contain;
    background-position: top right;
    background-repeat: no-repeat;
    width: 46%;
    height: 550px;
    right: 0;
    top: 80vw
  }
}

@media (max-width: 500px) {
  .top-intro-container {
    min-height: 130vw;
  }

  .top-intro-text-container {
    padding: 12vw 0;
  }

  .top-intro-text-container {
    margin-bottom: 38vw;
  }

  .top-intro-section:before {

    top: 84vw
  }
}

/***********************************************
***  NEWS
***********************************************/
.top-news-section {
  background: linear-gradient(to bottom, #fccf00, #fff000);
  padding: 80px 0 60px;
  position: relative;
  display: flex;
  justify-content: space-between;
}

.top-news-heading {
  width: 300px;
  text-align: left;
  padding-left: 40px;
}

.top-news-contents-container {
  width: calc(100% - 400px);
  text-align: right;
  position: relative;
  z-index: 0;
}

.top-news-article {
  background-color: var(--color-primary);
  margin: 0 auto 60px;
  padding: 40px;
  color: #fff;
  height: 300px;
}

.top-news-contents-container:before {
  position: absolute;
  content: "";
  background: rgba(248, 0, 0, 0.293);
  width: 100%;
  height: 300px;
  inset: 0;
  transform: translate(-40px, 40px);
  z-index: -1;
}

.top-news-list {
  padding-bottom: 15px;
  margin-bottom: 15px;
  text-align: left;
  display: grid;
  grid-template-columns: 8em 1fr;
  border-bottom: 1px solid #fff;
  font-size: 20px;
  font-weight: 800;
  line-height: 2;
}

.top-news-list:last-child {
  padding-bottom: 0;
}

.top-news-list-day {
  font-family: "Oswald", sans-serif;
  font-weight: 500;
  font-size: 24px;
  line-height: 2;
}

.top-news-list-text {
  padding: 5px 10px;
}

.top-news-btn-container {
  text-align: right;
  margin-right: 40px;
}

@media (max-width: 1300px) {
  .top-news-contents-container {
    width: calc(100% - 370px);
  }

  .top-news-contents-container:before {
    height: 230px;
    transform: translate(-30px, 30px);
  }

  .top-news-article {
    height: 230px;
  }

  .top-news-list {
    padding-bottom: 10px;
    margin-bottom: 10px;
    grid-template-columns: 7em 1fr;
    font-size: 18px;
    line-height: 1.5;
  }

  .top-news-list-day {
    font-size: 20px;
    line-height: 1.5;
  }
}

@media (max-width: 1000px) {
  .top-news-section {
    padding: 60px 0 60px;
    position: relative;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
  }

  .top-news-heading {
    width: 200px;
    padding-left: 20px;
    margin-bottom: 20px;
  }

  .top-news-contents-container {
    width: calc(100% - 80px);
    margin-left: 80px;
  }
}

@media (max-width: 800px) {
  .top-news-heading {
    width: 36vw;
  }

  .top-news-article {
    height: inherit;
    margin: 0 auto 40px;
    padding: 20px;
  }

  .top-news-list {
    font-size: 14px;
    line-height: 1.5;
  }

  .top-news-list-day {
    font-size: 16px;
    line-height: 1.5;
  }

  .top-news-contents-container:before {
    height: calc(100% - 85px);
    transform: translate(-20px, 20px);
  }

  .top-news-btn-container {
    margin-right: 20px;
  }
}

@media (max-width: 500px) {
  .top-news-section {
    padding: 40px 0 40px;
  }

  .top-news-contents-container {
    width: calc(100% - 40px);
    margin-left: 40px;
  }
}

/***********************************************
***  ABOUT
***********************************************/
.top-about-section {
  padding: 0 0 80px;
  position: relative;
  background: var(--color-secondary);
}

.top-about-chara {
  position: absolute;
  content: "";
  background-image: url("../img/top/about/about-chara.webp");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center left;
  width: 500px;
  height: 1000px;
  z-index: 30;
  left: 10%;
  top: -260px;
}

.top-about-contents-container {
  width: 46%;
  max-width: 1200px;
  margin-left: 50%;
  text-align: left;
  position: relative;
  z-index: 10;
  background: url(../img/common/bg-grunge-white.jpg);
  background-size: cover;
  padding: 40px;
  margin-top: 80px;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.50);
}

.top-about-contents-container:before {
  position: absolute;
  content: "";
  background: url(../img/common/crackle.png);
  background-size: contain;
  background-position: right top;
  background-repeat: no-repeat;
  width: 300px;
  height: 300px;
  right: 0;
  top: 0;
}

.top-about-heading {
  width: 300px;
  text-align: left;
}

.top-about-list {
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  flex-direction: row;
  border: none;
  margin-bottom: 20px;
  background: #000;
  color: #fff;
  padding: 10px 30px;
  font-size: 20px;
  font-weight: 800;
}

.top-about-list:last-child {
  border-bottom: none;
}

.top-about-list-heading {
  width: 10em;
}

.top-about-list-data {

  font-size: 20px;
  width: calc(100% - 10em);

}

.top-about-list-data a {
  color: #fff;
  text-decoration: none;
}

.top-about-list-data .small {
  line-height: calc(21 / 12);
  font-size: 12px;
}

@media (max-width: 1800px) {
  .top-about-contents-container {
    width: 60%;
    margin-left: 36%;
  }

  .top-about-chara {
    width: 26%;
    left: 3%;
  }
}

@media (max-width: 1300px) {
  .top-about-contents-container {
    width: 68%;
    margin-left: 28%;
  }

  .top-about-chara {
    height: 700px;
    width: 26%;
    left: 0;
  }

  .top-about-list {
    padding: 10px 20px;
    font-size: 16px;
  }

  .top-about-list-heading {
    width: 9em;
  }

  .top-about-list-data {
    font-size: 20px;
    width: calc(100% - 9em);
  }
}

@media (max-width: 1000px) {
  .top-about-contents-container {
    width: 75%;
    margin-left: 25%;
  }

  .top-about-heading {
    width: 260px;
    margin-bottom: 20px;
  }

  .top-about-list {
    font-size: 14px;
  }

  .top-about-list-data {
    font-size: 16px;
    width: calc(100% - 9em);
  }
}

@media (max-width: 800px) {
  .top-about-chara {
    height: 500px;
    width: 42%;
    left: -4%;
    z-index: 10;
    top: -240px;
  }

  .top-about-contents-container {
    width: 85%;
    margin-left: 15%;
    padding: 20px;
  }

  .top-about-heading {
    width: 36vw;
    margin-bottom: 20px;
  }

  .top-about-list {
    background: transparent;
    font-size: 16px;
    color: #000;
    flex-direction: column;
    margin-bottom: 10px;
    padding: 0;
    font-weight: 800;
  }

  .top-about-list-heading {
    padding-left: 20px;
  }

  .top-about-list-heading:before {
    position: absolute;
    content: "▼";
    width: 1em;
    font-size: 10px;
    height: 1em;
    left: 0;
    top: 9px;
    transform: rotate(-90deg);
    color: var(--color-primary);
  }

  .top-about-list-data {
    font-size: 16px;
    width: calc(100% - 9em);
    background-color: #000;
    width: 100%;
    color: #fff;
    padding: 10px 10px;
    line-height: 1.4;
  }

  .top-about-contents-container:before {
    width: 30vw;
    height: 30vw;
  }
}

@media (max-width: 500px) {
  .top-about-section {
    padding: 0 0 40px;
  }

  .top-about-list {
    font-size: 14px;
  }

  .top-about-list-data {
    font-size: 14px;
  }
}


/***********************************************
***  TICKET
***********************************************/
.top-ticket-section {
  background: var(--color-secondary);
  position: relative;
}

.top-ticket-chara {
  position: absolute;
  content: "";
  background-image: url("../img/top/ticket/ticket-chara.webp");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: bottom left;
  width: 400px;
  height: 1000px;
  z-index: 30;
  right: calc(50% + 400px);
  bottom: 260px;
}

.top-ticket-chara2 {
  position: absolute;
  content: "";
  background-image: url("../img/top/ticket/ticket-chara2.webp");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: bottom right;
  width: 360px;
  height: 870px;
  z-index: 30;
  left: calc(50% + 400px);
  bottom: 260px;
}

.top-ticket-section:before {
  position: absolute;
  content: "";
  background: #fff;
  width: 100vw;
  height: 400px;
  left: 0;
  top: 300px;
  z-index: 0;
}

.top-ticket-section::after {
  position: absolute;
  content: "";
  background: url(../img/common/border-grunge-white.svg);
  background-size: 800px 50px;
  background-position: top left;
  background-repeat: repeat-x;
  width: 100%;
  height: 50px;
  right: 0;
  top: 260px;
  transform: rotate(180deg);
  z-index: 1;
}

.top-ticket-punch-image-container {
  position: relative;
  margin: 0 auto;
  max-width: 600px;
  z-index: 10;
}

.top-ticket-punch {
  position: absolute;
  width: 40%;
  height: 40%;
  top: 30%;
  left: 0;
  right: 0;
  margin: auto;
  z-index: 5;
}

.top-ticket-text {
  position: absolute;
  width: 600px;
  height: 600px;
  top: 0;
  left: 0;
  right: 0;
  margin: auto;
  z-index: 5;
  animation: rotateTicket 20s linear infinite;
}

@keyframes rotateTicket {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(-360deg);
  }
}

.top-ticket-contents-container {
  position: relative;
  background-color: #fff;
  text-align: center;
  z-index: 10;
  margin: 0 auto;
  padding: 80px 0;
}

.top-ticket-heading {
  width: 380px;
  margin: 0 auto 80px;
}

.top-ticket-lead {
  max-width: 700px;
  margin: 0 auto 40px;

}

.top-ticket-price-table-container {
  margin: 0 auto 40px;
  max-width: 1000px;
  font-size: 20px;
}

.top-ticket-price-table {
  width: 100%;
  border-collapse: separate;
  border-spacing: 5px;
}

.top-ticket-price-table th,
.top-ticket-price-table td {
  padding: 12px 16px;
  text-align: center;
  background: #f2f2f2;
  box-shadow: 2px 1px 2px #ddd;
}

.top-ticket-price-table thead th {
  background: var(--color-secondary);
  font-weight: 700;
}

.top-ticket-price-table tbody th {
  font-weight: 600;
}

.top-ticket-notice-lists {
  text-align: left;
}

.top-ticket-playguide-section {
  position: relative;
}

@media (max-width: 1800px) {
  .top-ticket-chara {
    width: 21%;
    left: 5%;
    right: inherit;
    bottom: 400px;
  }

  .top-ticket-chara2 {
    width: 18%;
    left: inherit;
    right: 8%;
    bottom: 400px;
  }
}

@media (max-width: 1300px) {
  .top-ticket-chara {
    bottom: 300px;
  }

  .top-ticket-chara2 {
    bottom: 300px;
  }

  .top-ticket-punch-image-container {
    max-width: 36vw;
  }

  .top-ticket-text {
    width: 36vw;
    height: 36vw;
  }
}

@media (max-width: 1000px) {
  .top-ticket-section:before {

    top: 20vw;
    z-index: 0;
  }

  .top-ticket-section::after {
    top: 16vw;
  }

  .top-ticket-contents-container {
    padding: 40px 0;
  }

  .top-ticket-heading {
    width: 300px;
    margin: 0 auto 60px;
  }

  .top-ticket-lead {
    width: 80%;
    margin: 0 auto 20px;
  }

  .top-ticket-price-table-container {
    width: calc(100% - 40px);
  }
}

@media (max-width: 800px) {
  .top-ticket-heading {
    width: 40vw;
  }

  .top-ticket-section::after {
    top: 14vw;
  }

  .top-ticket-chara {
    width: 31%;
    left: 0;
    height: 300px;
  }

  .top-ticket-chara2 {
    width: 23%;
    right: 3%;
    height: 380px;
  }

  .top-ticket-price-table-container {
    font-size: 16px;
  }
}

@media (max-width: 500px) {
  .top-ticket-price-table-container {
    margin: 0 auto;
  }

  .top-ticket-chara {
    bottom: 160px;
  }

  .top-ticket-chara2 {
    width: 26%;
    right: 0;
    height: 360px;
    bottom: 160px;
  }

}

/***********************************************
***  CONTENTS
***********************************************/
.top-contents-section {
  background: linear-gradient(to bottom, #fccf00, #fff000);
  padding: 160px 0;
  position: relative;
}

.top-contents-section:before {
  position: absolute;
  content: "";
  background: url(../img/common/border-grunge-white.svg);
  background-size: 800px 50px;
  background-position: top left;
  background-repeat: repeat-x;
  width: 100%;
  height: 50px;
  left: 0;
  top: -5px;
}

.top-contents-heading {
  width: 560px;
  text-align: left;
  padding-left: 40px;
}

.top-contents-cs-container {
  padding: 60px 0;
}

.top-contents-chara {
  position: absolute;
  content: "";
  background-image: url("../img/top/contents/contents-chara.webp");
  background-repeat: no-repeat;
  background-size: contain;
  width: 600px;
  height: 800px;
  z-index: 30;
  right: 0;
  top: -140px;
}

@media (max-width: 1800px) {
  .top-contents-chara {
    width: 33%;
    right: 0;
    top: inherit;
    bottom: 100px;
    background-position: bottom right;
  }
}

@media (max-width: 1000px) {
  .top-contents-section {
    padding: 100px 0;
  }

  .top-contents-heading {
    width: 440px;
    padding-left: 20px;
  }


}

@media (max-width: 800px) {
  .top-contents-section {
    padding: 80px 0;
  }

  .top-contents-chara {
    width: 36%;
    right: -4%;
    bottom: 10vw;
  }

  .top-contents-heading {
    width: 58vw;
    padding-left: 20px;
  }
}

@media (max-width: 500px) {
  .top-contents-section {
    padding: 80px 0 20px;
  }

  .top-contents-chara {
    width: 43%;
    bottom: inherit;
    top: -40px;
    background-position: top right;
  }
}

/***********************************************
***  GOODS
***********************************************/


.top-goods-section {

  padding: 0 0 80px;
  margin-bottom: 160px;
}

.top-goods-contents-container {
  width: 46%;
  max-width: 1200px;
  margin-left: 50%;
  text-align: left;
  position: relative;
  z-index: 10;
  background: url(../img/common/bg-grunge-white.jpg);
  background-size: cover;
  padding: 40px;
  margin-top: 80px;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.50);
}

.top-goods-heading {
  width: 300px;
  text-align: left;
}

.top-goods-chara {
  position: absolute;
  content: "";
  background-image: url("../img/top/goods/goods-chara.webp");
  background-repeat: no-repeat;
  background-size: contain;
  width: 400px;
  height: 1000px;
  z-index: 30;
  left: 10%;
  top: -140px;
}

.top-goods-cs-container {
  padding: 60px 0 100px;
}

@media (max-width: 1800px) {
  .top-goods-contents-container {
    width: 60%;
    margin-left: 36%;
  }

  .top-goods-chara {
    width: 26%;
    left: 3%;
  }
}

@media (max-width: 1300px) {
  .top-goods-chara {
    width: 22%;
    left: 2%;
  }

  .top-goods-contents-container {
    width: 68%;
    margin-left: 28%;
  }
}

@media (max-width: 1000px) {
  .top-goods-contents-container {
    width: 75%;
    margin-left: 25%;
    z-index: 100;
  }

  .top-goods-heading {
    width: 260px;
    text-align: left;
    margin-bottom: 20px;
  }

  .top-goods-cs-container {
    padding: 20px 0 40px;
  }
}

@media (max-width: 800px) {
  .top-goods-chara {
    height: 500px;
    width: 28%;
    left: -2%;
    background-position: top left;
  }

  .top-goods-contents-container {
    width: 85%;
    margin-left: 15%;
    padding: 20px;
  }

  .top-goods-heading {
    width: 36vw;
    margin-bottom: 20px;
  }
}

@media (max-width: 600px) {
  .top-goods-bg-loop {
    min-height: 400px;
  }
}

@media (max-width: 500px) {

  .top-goods-chara {
    height: 400px;
    width: 32%;
    left: -2%;
    background-position: top left;
  }
}